summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorSimon McVittie <smcv@collabora.com>2021-06-28 10:52:59 +0100
committerSimon McVittie <smcv@collabora.com>2021-06-28 11:11:34 +0100
commit7b514a097fe3336609d584cff2da42d1d270bf84 (patch)
tree0790a18baec182828cfb84c3e92c5880861863c4 /tests
parent165bbf964727f1b9f138fc42523654209151120b (diff)
downloadbubblewrap-7b514a097fe3336609d584cff2da42d1d270bf84.tar.gz
libtest: Add directive and 'set -e' for better shellcheck diagnostics
Signed-off-by: Simon McVittie <smcv@collabora.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/libtest.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/libtest.sh b/tests/libtest.sh
index 1ab2df4..611d9d0 100644
--- a/tests/libtest.sh
+++ b/tests/libtest.sh
@@ -1,3 +1,5 @@
+# shellcheck shell=bash
+
# Source library for shell script tests.
# Add non-bubblewrap-specific code to libtest-core.sh instead.
#
@@ -18,6 +20,8 @@
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
+set -e
+
if [ -n "${G_TEST_SRCDIR:-}" ]; then
test_srcdir="${G_TEST_SRCDIR}/tests"
else